.prompt {
  position: relative;
  padding: 100px 0;
  background-color: var(--c-gray-900);
  overflow-x: hidden;

  @media (max-width: 1024px) {
    padding: 60px 0;
  }

  .container {
    h2 {
      margin: 0 10% 70px;
      color: var(--c-gray-25);
      font-size: var(--fs-3xl);
      text-align: center;
      line-height: 105%;

      @media (max-width: 1024px) {
        margin: 0 0 44px;
        font-size: 28px;
      }
    }

    .pricing-package_title_wrap {
      margin: 0 0 94px;
      padding: 0 20%;
      text-align: center;

      @media (max-width: 1024px) {
        margin: 0 0 44px;
        padding: 0;
      }

      h3 {
        justify-content: center;
        text-align: center;

        @media (max-width: 1024px) {
          font-size: 18px;
        }
      }
    }

    .tip {
      display: flex;
      flex-direction: column;
      align-items: center;
      gap: 8px;
      position: absolute;
      right: 50px;
      bottom: 180px;
      text-align: center;

      @media (max-width: 1024px) {
        position: relative;
        right: auto;
        bottom: auto;
        margin-bottom: 64px;
      }

      span {
        color: var(--c-gray-25);
      }
    }

    .cta {
      display: flex;
      flex-direction: column;
      gap: 16px;
      align-items: center;
      text-align: center;

      h6 {
        margin: 0;
        color: var(--c-gray-25);
        font-weight: 400;
        font-family: var(--ff-primary);
        font-style: italic;
      }
    }
  }

  .horizontal_slides {
    display: block;
    margin-bottom: 100px;
    padding-bottom: 0;
    overflow-x: hidden;
    width: 100vw;
    overflow: visible;

    @media (max-width: 1024px) {
      display: block;
      margin-bottom: 54px;
    }

    .swiper-wrapper {
      .swiper-slide {
        height: auto;
        border: 1px solid #181818;
        width: 382px;
        border-radius: 34px;
        box-shadow: 0;
        transition: filter 0.3s ease, border 0.3s ease, box-shadow 0.3s ease;
        background: #fffaee;

        @media (max-width: 1024px) {
          min-height: 268px;
          width: 268px;
          border-radius: 26px;
        }

        .video_wrapper {
          position: relative;
          width: 100%;
          padding-top: 56.25%;
          overflow: hidden;
          border-top-left-radius: 32px;
          border-top-right-radius: 32px;
          overflow: hidden;

          @media (max-width: 1024px) {
            border-top-left-radius: 24px;
            border-top-right-radius: 24px;
          }

          iframe {
            position: absolute;
            top: 0;
            left: 0;
            width: 100%;
            height: 100%;
            border: 0;
            filter: grayscale(100%);
            transition: filter 0.3s ease;
          }

          &::after {
            content: '';
            position: absolute;
            top: 0;
            left: 0;
            right: 0;
            bottom: 0;
            background-color: #ffd672;
            opacity: 0.12;
            pointer-events: none;
            z-index: 2;
            border-top-left-radius: 32px;
            border-top-right-radius: 32px;
            transition: all 0.3s ease;
          }

          &.has-thumbnail {
            .video_thumbnail {
              position: absolute;
              top: 0;
              left: 0;
              width: 100%;
              height: 100%;
              background-color: black;

              img {
                width: 100%;
                height: 100%;
                object-fit: cover;
                display: block;
                transition: all 0.3s ease;
                filter: grayscale(100%);
              }

              .custom_play_button {
                position: absolute;
                top: 50%;
                left: 50%;
                transform: translate(-50%, -50%);
                border: none;
                background: none;
                cursor: pointer;
                transition: transform 0.2s ease;

                &:hover {
                  transform: translate(-50%, -50%) scale(1.05);
                }
              }
            }
          }

          figure {
            position: absolute;
            top: 0;
            left: 0;
            width: 100%;
            height: 100%;
            border: 0;
            filter: grayscale(100%);
            transition: filter 0.3s ease;

            a {
              display: block;
              width: 100%;
              height: 100%;

              img {
                width: 100%;
                height: 100%;
                object-fit: cover;
                display: block;
                filter: grayscale(100%);
              }
            }
          }
        }

        &:hover,
        &.active {
          border: 1px solid transparent;
          box-shadow: 52.6425px 64.8282px 33.1453px rgba(0, 0, 0, 0.01), 29.7332px 36.5573px 28.271px rgba(0, 0, 0, 0.03), 13.1606px 16.0852px 20.9595px rgba(0, 0, 0, 0.04), 3.41201px 3.89944px 11.6983px rgba(0, 0, 0, 0.05);

          iframe {
            filter: grayscale(0%);
          }

          .video_wrapper {
            .video_thumbnail {
              img {
                filter: grayscale(0%);
              }
            }

            &::after {
              content: '';
              position: absolute;
              top: 0;
              left: 0;
              right: 0;
              bottom: 0;
              background-color: #ffd672;
              opacity: 0;
              pointer-events: none;
              z-index: 2;
              border-top-left-radius: 32px;
              border-top-right-radius: 32px;
            }
          }

          figure {
            filter: grayscale(0%);

            a {
              display: block;
              width: 100%;
              height: 100%;

              img {
                filter: grayscale(0%);
              }
            }
          }
        }

        .item_bottom {
          padding: 13px 20px 30px 20px;

          @media (max-width: 1024px) {
            padding: 0px 14px 18px 14px;
          }

          h5 {
            color: #4e463f;
            font-size: var(--fs-lg);
            margin-block: 0 10px;
            line-height: 1;

            @media (max-width: 1024px) {
              margin-block: 8px;
            }
          }

          .desc {
            color: #7c7064;
            font-size: 14px;
            font-family: 'Inter';
            display: -webkit-box;
            -webkit-box-orient: vertical;
            -webkit-line-clamp: 3;
            overflow: hidden;
            text-overflow: ellipsis;

            @media (max-width: 768px) {
              font-size: 12px;
            }
          }
        }
      }
    }

    &.process {
      .swiper-wrapper {
        .swiper-slide {
          border: none;
          border-radius: 0;
          box-shadow: none;
        }
      }
    }
  }
}